#ifndef CHIP_STM32F0XX_REGS_TIM_H
#define CHIP_STM32F0XX_REGS_TIM_H

#define CHIP_SUPPORT_TIM_UIF_REMAP              0
#define CHIP_SUPPORT_TIM_OUT_5_6                0
#define CHIP_SUPPORT_TIM_EXT_SYNC_MODE          0
#define CHIP_SUPPORT_TIM_EXT_BREAK              0
#define CHIP_SUPPORT_TIM_EXT_OUT_MODE           0
#define CHIP_SUPPORT_TIM_CH_GROUP               0
#define CHIP_SUPPORT_TIM_ALTFUNC                0

#include "chip_devtype_spec_features.h"
#include "stm32_tim_gen_regs.h"

#define CHIP_REGS_TIM1          ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM1)
#define CHIP_REGS_TIM2          ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM2)
#define CHIP_REGS_TIM3          ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM3)
#define CHIP_REGS_TIM6          ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM6)
#define CHIP_REGS_TIM7          ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM7)
#define CHIP_REGS_TIM14         ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM14)
#define CHIP_REGS_TIM15         ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM15)
#define CHIP_REGS_TIM16         ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM16)
#define CHIP_REGS_TIM17         ((CHIP_REGS_TIM_T *) CHIP_MEMRGN_ADDR_PERIPH_TIM17)


/* Internal triggers mapping */
#define CHIP_TIM1_ITR_TIM15         CHIP_REGFLDVAL_TIM_SMCR_TS_ITR0  /* TIM15 -> TIM1 */
#define CHIP_TIM1_ITR_TIM2          CHIP_REGFLDVAL_TIM_SMCR_TS_ITR1  /* TIM2  -> TIM1 */
#define CHIP_TIM1_ITR_TIM3          CHIP_REGFLDVAL_TIM_SMCR_TS_ITR2  /* TIM3  -> TIM1 */
#define CHIP_TIM1_ITR_TIM17         CHIP_REGFLDVAL_TIM_SMCR_TS_ITR3  /* TIM17 -> TIM1 */

#define CHIP_TIM2_ITR_TIM1          CHIP_REGFLDVAL_TIM_SMCR_TS_ITR0  /* TIM1  -> TIM2 */
#define CHIP_TIM2_ITR_TIM15         CHIP_REGFLDVAL_TIM_SMCR_TS_ITR1  /* TIM15 -> TIM2 */
#define CHIP_TIM2_ITR_TIM3          CHIP_REGFLDVAL_TIM_SMCR_TS_ITR2  /* TIM3  -> TIM2 */
#define CHIP_TIM2_ITR_TIM14         CHIP_REGFLDVAL_TIM_SMCR_TS_ITR3  /* TIM14 -> TIM2 */

#define CHIP_TIM3_ITR_TIM1          CHIP_REGFLDVAL_TIM_SMCR_TS_ITR0  /* TIM1  -> TIM3 */
#define CHIP_TIM3_ITR_TIM2          CHIP_REGFLDVAL_TIM_SMCR_TS_ITR1  /* TIM2  -> TIM3 */
#define CHIP_TIM3_ITR_TIM15         CHIP_REGFLDVAL_TIM_SMCR_TS_ITR2  /* TIM15 -> TIM3 */
#define CHIP_TIM3_ITR_TIM14         CHIP_REGFLDVAL_TIM_SMCR_TS_ITR3  /* TIM14 -> TIM3 */




#endif // CHIP_STM32F0XX_REGS_TIM_H
